Loading...
Searching...
No Matches
RDKit::SubstanceGroupChecks Namespace Reference

## Functions

RDKIT_GRAPHMOL_EXPORT bool | isValidType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | isValidSubType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | isValidConnectType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | isSubstanceGroupIdFree (const ROMol &mol, unsigned int id)

## Function Documentation

## isSubstanceGroupIdFree()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isSubstanceGroupIdFree | ( | const ROMol & | mol,
|  | unsigned int | id
| ) |  |

## isValidConnectType()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidConnectType | ( | const std::string & | type | ) |

## isValidSubType()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidSubType | ( | const std::string & | type | ) |

## isValidType()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidType | ( | const std::string & | type | ) |